package com.iamberry.wechat.core.entity.eo;

import java.util.ArrayList;
import  java.util.Date;
import  java.io.Serializable;
import java.util.List;

/**
 *  优惠活动类
 * @author Administrator
 * @Date 2019-10-21
 */
public class Promotions  implements  Serializable{
    private static final long serialVersionUID = 8267100500015387060L;
    //活动id
    private Integer promotionsId;
    //活动名称
    private String promotionsName;
    //类型 1：满减 2：满赠 3：秒杀
    private Integer promotionsType;
    //状态 1.使用中 2.未使用
    private Integer promotionsStatus;
    //活动开始时间
    private Date promotionsBeginTime;
    //活动结束时间
    private Date promotionsEndTime;
    //备注
    private String promotionsDesc;
    //创建时间'
    private Date promotionsCreateTime;
    //结算赠品
    private List<SettlementGift> settlementGiftList = new ArrayList<>();
    //结算赠品
    private List<Spike> spikeList = new ArrayList<>();

    public Integer getPromotionsId(){
        return promotionsId;
    }

    public void setPromotionsId(Integer  promotionsId){
        this.promotionsId=promotionsId;
    }

    public String getPromotionsName(){
        return promotionsName;
    }

    public void setPromotionsName(String  promotionsName){
        this.promotionsName=promotionsName;
    }

    public Integer getPromotionsType(){
        return promotionsType;
    }

    public void setPromotionsType(Integer  promotionsType){
        this.promotionsType=promotionsType;
    }

    public Integer getPromotionsStatus(){
        return promotionsStatus;
    }

    public void setPromotionsStatus(Integer  promotionsStatus){
        this.promotionsStatus=promotionsStatus;
    }

    public Date getPromotionsBeginTime(){
        return promotionsBeginTime;
    }

    public void setPromotionsBeginTime(Date  promotionsBeginTime){
        this.promotionsBeginTime=promotionsBeginTime;
    }

    public Date getPromotionsEndTime(){
        return promotionsEndTime;
    }

    public void setPromotionsEndTime(Date  promotionsEndTime){
        this.promotionsEndTime=promotionsEndTime;
    }

    public String getPromotionsDesc(){
        return promotionsDesc;
    }

    public void setPromotionsDesc(String  promotionsDesc){
        this.promotionsDesc=promotionsDesc;
    }

    public Date getPromotionsCreateTime(){
        return promotionsCreateTime;
    }

    public void setPromotionsCreateTime(Date  promotionsCreateTime){
        this.promotionsCreateTime=promotionsCreateTime;
    }

    public List<SettlementGift> getSettlementGiftList() {
        return settlementGiftList;
    }

    public void setSettlementGiftList(List<SettlementGift> settlementGiftList) {
        this.settlementGiftList = settlementGiftList;
    }

    public List<Spike> getSpikeList() {
        return spikeList;
    }

    public void setSpikeList(List<Spike> spikeList) {
        this.spikeList = spikeList;
    }
}